# Uses of Class
org.apache.lucene.geo.XYGeometry

Packages that use XYGeometry
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.geo
Geospatial Utility Implementations for Lucene Core

## Uses of XYGeometry in org.apache.lucene.document

Methods in org.apache.lucene.document with parameters of type XYGeometry
Modifier and Type
Method
Description
`static Query`
XYPointField.`newGeometryQuery(String field, XYGeometry... xyGeometries)`
create a query to find all indexed shapes that intersect a provided geometry collection.
`static Query`
XYShape.`newGeometryQuery(String field, ShapeField.QueryRelation queryRelation, XYGeometry... xyGeometries)`
create a query to find all indexed geo shapes that intersect a provided geometry collection note: Components do not support dateline crossing
`static Query`
XYDocValuesField.`newSlowGeometryQuery(String field, XYGeometry... geometries)`
Create a query for matching points within the supplied geometries.

## Uses of XYGeometry in org.apache.lucene.geo

Subclasses of XYGeometry in org.apache.lucene.geo
Modifier and Type
Class
Description
`final class`
`XYCircle`
Represents a circle on the XY plane.
`class`
`XYLine`
Represents a line in cartesian space.
`final class`
`XYPoint`
Represents a point on the earth's surface.
`final class`
`XYPolygon`
Represents a polygon in cartesian space.
`final class`
`XYRectangle`
Represents a x/y cartesian rectangle.
Methods in org.apache.lucene.geo with parameters of type XYGeometry
Modifier and Type
Method
Description
`static Component2D`
XYGeometry.`create(XYGeometry... xyGeometries)`
Creates a Component2D from the provided XYGeometries array